import br.lavid.hn2n.client.UserClient;
import br.lavid.hn2n.net.CommunicationLink;
import br.lavid.hn2n.net.LinkTCP;
import br.lavid.hn2n.net.Package;
import br.lavid.hn2n.process.LinkObserver;

/**
 * Classe que implementa um processo que ficar observando(escutado) a conexo
 * default do H-N2N. E quando a mensagem chegar ele a imprime na saida padro.
 *
 * @author Aquiles Burlamaqui
 *
 */
public class ClientProcess implements LinkObserver{

	public boolean update(CommunicationLink link, Package pacote) {
		UserClient userClient = (UserClient)((LinkTCP)link).getSlaveNetProcess();
		String msg = ((MChat)pacote.getContent()).getMsg();
		if(!msg.equals("RECEBIDA")) {
			System.out.println("\n < "+msg);
			Package pck = new Package(1000,new MChat("RECEBIDA"));
			userClient.getCommunication().sendMessage(pck);
		}
		return false;
	}

}
