import br.lavid.hn2n.server.DefaultServer;


/**
 *Classe que representa o servidor da aplicao Chat, ele possue somente um mtodo
 *main que cria uma instancia de um DefaultServer, cria uma instancia da classe
 *ServerProcess e as associa, atravs de uma adio do process a este servidor,
 * e por fim  feita a inicializao do servidor.
 *
 * @author Aquiles Burlamaqui
 *
 */
public class Server {

	public static void main(String args[]) {
		//Cria servidor default(padro) com o endereo local.
		DefaultServer server = new DefaultServer("localhost",3693);
		//Cria um process para monitorar as mensagens recebidas por esse servidor.
		ServerProcess process = new ServerProcess();
		//adiciona ao servidor o process recem criado.
		server.addSlaveProcess(process, -1);
		//inicia o servidor.
		server.start();
	}
}
