import br.lavid.hn2n.client.UserClient;
import br.lavid.hn2n.net.Package;

/**
 * Classe que implementa um cliente para uma aplicao Chat,
 * utilizando o H-N2N
 *
 * @author Aquiles Burlamaqui
 */
public class Client {

	public static void main(String args[]) {
		UserClient userClient = new UserClient("localhost",3693);

		while(!userClient.isConected());
		userClient.getCommunication().getConnectionOfControl().attach(new ClientProcess());

		System.out.println("###############################");
		System.out.println("#          ChibaChat          #");
		System.out.println("###############################");
		System.out.println("Digite a sua mensagem:");
		String msg;
		do {
			System.out.print("\n > ");
			msg = LeTeclado.leString();
			Package pacote = new Package(1000,new MChat(msg));
			userClient.getCommunication().sendMessage(pacote);
		} while(!msg.equals("sair"));
	}
}
